import { ref, computed } from 'vue'
import { defineStore } from 'pinia'
import { isUndefined } from 'lodash';

export const useEquipments = defineStore('equipments', () => {
  const jtagIPAddr = ref("127.0.0.1")
  const jtagPort = ref("1234")
  const jtagBitstream = ref<File | undefined>()
  const remoteUpdateIPAddr = ref("127.0.0.1")
  const remoteUpdatePort = ref("1234")
  const remoteUpdateBitstream = ref<File | undefined>()

  return {
    jtagIPAddr,
    jtagPort,
    jtagBitstream,
    remoteUpdateIPAddr,
    remoteUpdatePort,
    remoteUpdateBitstream,
  }
})

